apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: user-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: user-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: player-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: player-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: game-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: game-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: shop-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: shop-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: order-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: order-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: wallet-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: wallet-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: community-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: community-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: review-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: review-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: dispute-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: dispute-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: notification-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: notification-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: search-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: search-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi

---
apiVersion: redis.redis.opstreelabs.in/v1beta2
kind: RedisReplication
metadata:
  name: chat-redis
  namespace: juwan
spec:
  clusterSize: 1
  kubernetesConfig:
    image: quay.io/opstree/redis:v8.6.2
    imagePullPolicy: IfNotPresent
    resources:
      requests:
        cpu: 5m
        memory: 10Mi
      limits:
        memory: 80Mi
    redisSecret:
      name: chat-redis
      key: password
  podSecurityContext:
    runAsUser: 1000
    fsGroup: 1000
  storage:
    volumeClaimTemplate:
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi
